/**
 * @author Flanagan
 */

// Fade in


// Define the cutscene object 
function sprite_cutscene_fade(p) {
	p.name = "cutscene_fade";
	p.color = "#44FF44";

	this.sprite = new sprite_invisible(p);

	var self = this.sprite;

	var engine = null;
	var p1 = null;
	
  // Trigger the cutscene
	this.sprite.collide = function(engineSource, hit) {
		switch (hit.type) {
			case "player":
				engine = engineSource;
				p1 = engine.getSprite("p1");
				engine.destroySprite(this.id, true);
				// Begin the scene
				this.s01();
				break;
		}
	};
	
	// Scene 1, Initiate the cutscene
	this.sprite.s01 = function() {
		engine.getSprite("black").fade = true;
	};
	return this.sprite;
}