/**
 * @author Rusnac
 */

// Define the cutscene object 
function sprite_gp_collision(p) {
	p.name = "gp_collision";
	p.type = "enemy";
	p.color = "#FF00FF";

	this.sprite = new sprite_invisible(p);

	var self = this.sprite;

	var engine = null;
	var p1 = null;
	var earth = null;
	var splode = 0;
	
    // Trigger the cutscene
	this.sprite.collide = function(engineSource, hit) {
		switch (hit.type) {
			case "player":
				engine = engineSource;
				p1 = engine.getSprite("p1");
				engine.gs.keyControl = false;
				p1.speedX = 0;
				p1.speedY = 0;
				//p1.y = 316;
				//engine.destroySprite(this.id, true);
				setTimeout(function() {
					//p1.y = 316;
					if (p1.y >= 312)
						p1.y = 312;
					p1.speedX = 0;
					p1.speedY = 0;
				}, 50);
				// Shake the camera
				this.s01();
				
			//setTimeout(function() {
			//	this.s02();
			//}, 1000);
				break;
		}
	};

	// shake shake
	this.sprite.s01 = function() {
		//p1.y = 316;
					if (p1.y >= 312)
						p1.y = 312;
		if (splode == 0) {
			splode = 1;
			p1.controlCamera = true;
			engine.gs.cameraShake = 10;
			engine.declareSprite("foreground", new sprite_redSplode({
				x: p1.x + (p1.width / 2) - 50,
				y: p1.y
			}));
			setTimeout(function() {
				p1.speedX = 0;
				p1.speedY = 0;
				//p1.y = 316;
					if (p1.y >= 312)
						p1.y = 312;
				engine.declareSprite("foreground", new sprite_redSplode({
					x: p1.x + (p1.width / 2) - 50,
					y: p1.y
				}));
				setTimeout(function() {

					p1.speedY = 0;
					p1.x = 529;
					p1.y = 0;
					engine.gs.fuel = 250;
					p1.controlCamera = true;
					engine.updateCamera(154, -66);
					engine.gs.keyControl = true;
					splode = 0;
					setTimeout(function() {
						//p1.speedX = 9;
						p1.setAnimation("fall");
					}, 100);
				}, 200);
			}, 100);
		}
	//	setTimeout(function() {
	//		p1.speedX = 0;
	//		p1.speedY = 0;
	//		engine.declareSprite("foreground", new sprite_redSplode({
	//			x: p1.x + (p1.width / 2) - 50,
	//			y: p1.y
	//		}));
	//	}, 1800);
	};

	return this.sprite;
}