function sprite_cutscene_level(p){
	p.name = "cutscene_level";
	p.color = "#44FF44";

	this.sprite = new sprite_invisible(p);

	var self = this.sprite;
	var engine = null;
	var p1 = null;
	var gpa = null;

	this.sprite.collide = function(engineSource, hit){
		switch (hit.type) {
			case "player":
				engine = engineSource;
				p1 = engine.getSprite("p1");
				gpa = engine.getSprite("gpa");
				engine.destroySprite(this.id, true);
				engine.destroySprite("playerHealth", true);
				this.s01();
				break;
		}
	};

	this.sprite.s01 = function() {
		engine.gs.keyRight = false;
		p1.speedX = 0;
		var blackID = engine.declareSprite("foreground", new sprite_black({
			fade: "in"
		}));
		engine.getSprite(blackID).fade = true;

		setTimeout(function() {
			gpa.impulseLeft = true;
			gpa.maxSpeedLeft = 1;
			engine.destroySprite("text15");

			var audioInterval = setInterval(function() {
				var volume = engine.audio.gp_grandpa_bgm.volume;
				if (volume <= 0.05) {
					engine.audio.gp_grandpa_bgm.volume = 0;
					clearInterval(audioInterval);
					return;
				}
				else {
					engine.audio.gp_grandpa_bgm.volume = volume - 0.05;
				}
			}, 200);
		}, 1500);

		setTimeout(function() {
			gpa.impulseLeft = false;
			engine.declareSprite("foreground", new sprite_black({
				x: 0,
				y: 0,
				fade: "in",
				uniqueID: "black"
			}));
			engine.getSprite("black").fade = true;
			setTimeout(function() {
				location.href = "/TimeHammer/world2-1.html";
			}, 3000);
		}, 5000);
	};

	return this.sprite;
}