function sprite_cutscene_level(p){
	p.name = "cutscene_level";
	p.color = "#44FF44";

	this.sprite = new sprite_invisible(p);

	var self = this.sprite;
	var engine = null;
	var p1 = null;

	this.sprite.collide = function(engineSource, hit){
		switch (hit.type) {
			case "player":
				engine = engineSource;
				p1 = engine.getSprite("p1");
				engine.destroySprite(this.id, true);
				engine.destroySprite("playerHealth", true);
				this.s01();
				break;
		}
	};

	this.sprite.s01 = function() {
		var blackID = engine.declareSprite("foreground", new sprite_black({
			fade: "in"
		}));
		engine.getSprite(blackID).fade = true;

		setTimeout(function() {
			engine.declareSprite("foreground", new sprite_black({
				x: 0,
				y: 0,
				fade: "in",
				uniqueID: "black"
			}));
			engine.getSprite("black").fade = true;
			setTimeout(function() {
				location.href = "/TimeHammer/world1-3.html";
			}, 1000);
		}, 3000);
	};

	return this.sprite;
}