/**
 * @author Torgie
 */
function sprite_sfx_world1() {
	p.type = "audio";
	p.name = "sfx_world1";
	p.src = "images/sprites/null.png";
	p.width = 0;
	p.height = 0;

	this.sprite = new sprite(p);

	this.sprite.audio = {
		introFall: {
			src: [
				"sfx/world1/landing.ogg",
				"sfx/world1/landing.mp3"
			],
			volume: 0.7
		},
		bgm: {
			src: [
				"music/world1.ogg",
				"music/world1.mp3"
			],
			volume: 0.4,
			loop: true
		}
	};

	this.sprite.logic = function(engine) {
		mB = engine.getSprite("musicButton");
		sB = engine.getSprite("sfxButton");
		var soundInterval = setInterval(function() {
			if (mB.currentAnimation == "off") {
				engine.audio.sfx_world1_bgm.volume = 0;
			}	
			else if(mB.stage == 0 && mB.currentAnimation == "on") {
				engine.audio.sfx_world1_bgm.volume = .4;
			}
			else if (mB.stage == 2 && mB.currentAnimation == "on") {
				engine.audio.gp_grandpa_bgm.volume = 1;
			}
			if(sB.currentAnimation == "on") {
				engine.audio.sfx_world1_introFall.volume = .7;
			}
			else {
				engine.audio.sfx_world1_introFall.volume = 0;
			}
		}, 400);
		engine.destroySprite(this.id);
	};

	this.sprite.render = function() { };

	return this.sprite;
}