/**
 * @author Torgie
 */
function sprite_fg_fog(p) {
	p.type = "scenery";
	p.name = "fg_fog";
	p.src = "images/sprites/world1/fog.png";
	p.width = 864;
	p.height = 480;

	this.sprite = new sprite(p);

	this.sprite.logic = function(engine) {
		this.x -= 1
	};

	this.render = function(resource, context, gs, renderPoint) {
		if(!this.resourceReady(resource))
			return false;

		var renderX = this.x + gs.cameraX;
		var renderY = this.y + gs.cameraY;

		// Draw the sprite to the screen
		context.drawImage(resource, 0, 0, resource.width, resource.height, Math.round(renderX), Math.round(renderY), this.width, this.height);
	};//end function render

	return this.sprite;
}